Bug 16650 - xfs: fontpath with 'unix/:-1' hangs server
Summary: xfs: fontpath with 'unix/:-1' hangs server
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-20 23:08 UTC by Kenneth Topp
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-20 23:08:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kenneth Topp 2000-08-20 23:08:16 UTC
noticed this:
strace fslsfonts -s unix/:-1 2>&1 | grep tmp
connect(3, {sin_family=AF_UNIX, path="/tmp/.font-unix/fs-1"}, 22) = 0

but the doorway that xfs creates by default is /tmp/.font-unix/fs7100

xfs will create the expected doorway file ( .../fs-1) when I added "-port
-1" at the right point of /etc/init.d/xfs.  adding that to
/etc/X11/fs/config was worthless.

couple issues: 
1) having 'unix/:-1' and no doorway hangs X (prevents X from loading or
xset fp+ unix/:1 freezes X right away).
2) no way to set xfs up correctly with out hacks.

I have no idea how this slipped by you guys, so i figure it may be a local
thing.  let me know what details you want.

Comment 1 Kenneth Topp 2000-10-03 12:59:29 UTC
This bug is bogus, I misread xfs (1x) and thought that droppriv implied port -1,
which it doesn't.

I'm gonna attempt to close this bug now.


Note You need to log in before you can comment on or make changes to this bug.